This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 62363 - ext3 related kernel oops
ext3 related kernel oops
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-30 04:18 EST by Uriah Welcome
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Uriah Welcome 2002-03-30 04:18:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020324

Description of problem:
On a cvs mirror system the /tmp filesystem caused a oops in the ext3 code.  The
filesytem was mounted on a DAC1164P RAID controller using hardware RAID 5.  The
kernel is the Redhat 2.4.9-31smp kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. make a 2GB CVS tree
2. make /tmp a ext3 filesystem
3. Because CVS uses /tmp for every checkout it thrashes the filesytem pretty
hard.  Hit it hard enough and it'll oops.
	

Actual Results:  the kernel oops causing everything trying to interact w/ the
/tmp filesystem to hang.  reboot failed.  had to sysrq.

Additional info:

here's the messages output from the oops..

Mar 29 13:29:27 cvs-mirror kernel: kernel BUG at transaction.c:612!
Mar 29 13:29:27 cvs-mirror kernel: invalid operand: 0000
Mar 29 13:29:27 cvs-mirror kernel: Kernel 2.4.9-31smp
Mar 29 13:29:27 cvs-mirror kernel: CPU:    0
Mar 29 13:29:27 cvs-mirror kernel: EIP:   
0010:[eepro100:__insmod_eepro100_O/lib/modules/2.4.9-31smp/k
ernel/drivers/+-1332594/96]    Not tainted
Mar 29 13:29:27 cvs-mirror kernel: EIP:    0010:[<f8853a8e>]    Not tainted
Mar 29 13:29:27 cvs-mirror kernel: EFLAGS: 00010282
Mar 29 13:29:27 cvs-mirror kernel: EIP is at
journal_unlock_updates_Rsmp_2df74dcd [jbd] 0x29e
Mar 29 13:29:27 cvs-mirror kernel: eax: 00000021   ebx: c23d2694   ecx: c02db9e4
  edx: 0000401a
Mar 29 13:29:29 cvs-mirror kernel: esi: c23d2600   edi: f7885dc0   ebp: c23d2600
  esp: c9175e74
Mar 29 13:29:29 cvs-mirror kernel: ds: 0018   es: 0018   ss: 0018
Mar 29 13:29:30 cvs-mirror kernel: Process cvs (pid: 19450, stackpage=c9175000)
Mar 29 13:29:31 cvs-mirror kernel: Stack: f885ce70 00000264 00000000 00000000
f7885dc0 f6cb2b60 c23d2694 c23d2600
Mar 29 13:29:31 cvs-mirror kernel:        f7885dc0 dd670be0 f8853f47 f7885dc0
dd670be0 00000000 f77c98a0 c225bc00
Mar 29 13:29:31 cvs-mirror kernel:        f7885dc0 f7758740 f8866b79 f7885dc0
f77c98a0 00000000 f7885dc0 c34d7040
Mar 29 13:29:31 cvs-mirror kernel: Call Trace:
[eepro100:__insmod_eepro100_O/lib/modules/2.4.9-31smp/kernel/drivers/+-1294736/96]
__insmod_jbd_S.rodata_L96 [jbd] 0x28e0
Mar 29 13:29:31 cvs-mirror kernel: Call Trace: [<f885ce70>]
__insmod_jbd_S.rodata_L96 [jbd] 0x28e0
Mar 29 13:29:31 cvs-mirror kernel:
[eepro100:__insmod_eepro100_O/lib/modules/2.4.9-31smp/kernel/drivers/+-1331385/96]
journal_get_write_access_Rsmp_f870ee55 [jbd] 0x37
Mar 29 13:29:31 cvs-mirror kernel: [<f8853f47>]
journal_get_write_access_Rsmp_f870ee55 [jbd] 0x37
Mar 29 13:29:31 cvs-mirror kernel:
[eepro100:__insmod_eepro100_O/lib/modules/2.4.9-31smp/kernel/drivers/+-1254535/96]
__insmod_ext3_S.text_L45168 [ext3] 0x7b19
Mar 29 13:29:31 cvs-mirror kernel: [<f8866b79>] __insmod_ext3_S.text_L45168
[ext3] 0x7b19
Mar 29 13:29:31 cvs-mirror kernel:
[eepro100:__insmod_eepro100_O/lib/modules/2.4.9-31smp/kernel/drivers/+-1260795/96]
__insmod_ext3_S.text_L45168 [ext3] 0x62a5
Mar 29 13:29:31 cvs-mirror kernel: [<f8865305>] __insmod_ext3_S.text_L45168
[ext3] 0x62a5
Mar 29 13:29:31 cvs-mirror kernel:
[eepro100:__insmod_eepro100_O/lib/modules/2.4.9-31smp/kernel/drivers/+-1260778/96]
__insmod_ext3_S.text_L45168 [ext3] 0x62b6
Mar 29 13:29:31 cvs-mirror kernel: [<f8865316>] __insmod_ext3_S.text_L45168
[ext3] 0x62b6
Mar 29 13:29:31 cvs-mirror kernel:
[eepro100:__insmod_eepro100_O/lib/modules/2.4.9-31smp/kernel/drivers/+-1260521/96]
__insmod_ext3_S.text_L45168 [ext3] 0x63b7
Mar 29 13:29:31 cvs-mirror kernel: [<f8865417>] __insmod_ext3_S.text_L45168
[ext3] 0x63b7
Mar 29 13:29:31 cvs-mirror kernel:
[eepro100:__insmod_eepro100_O/lib/modules/2.4.9-31smp/kernel/drivers/+-1252715/96]
__insmod_ext3_S.text_L45168 [ext3] 0x8235
Mar 29 13:29:31 cvs-mirror kernel: [<f8867295>] __insmod_ext3_S.text_L45168
[ext3] 0x8235
Mar 29 13:29:31 cvs-mirror kernel: [vfs_unlink+436/544] vfs_unlink [kernel] 0x1b4
Mar 29 13:29:32 cvs-mirror kernel: [<c014a8e4>] vfs_unlink [kernel] 0x1b4
Mar 29 13:29:32 cvs-mirror kernel: [lookup_hash+74/224] lookup_hash [kernel] 0x4a
Mar 29 13:29:32 cvs-mirror kernel: [<c014936a>] lookup_hash [kernel] 0x4a
Mar 29 13:29:32 cvs-mirror kernel: [sys_unlink+154/272] sys_unlink [kernel] 0x9a
Mar 29 13:29:32 cvs-mirror kernel: [<c014a9ea>] sys_unlink [kernel] 0x9a
Mar 29 13:29:32 cvs-mirror kernel: [system_call+51/56] system_call [kernel] 0x33
Mar 29 13:29:32 cvs-mirror kernel: [<c010719b>] system_call [kernel] 0x33
Mar 29 13:29:32 cvs-mirror kernel:
Mar 29 13:29:32 cvs-mirror kernel:
Mar 29 13:29:32 cvs-mirror kernel: Code: 0f 0b 58 5a c7 44 24 08 e2 ff ff ff 8b
54 24 24 b8 01 00 00
Comment 1 Bugzilla owner 2004-09-30 11:39:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.